# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.589   -> 1.590  
#	drivers/usb/class/audio.c	1.19    -> 1.20   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/22	david-b@pacbell.net	1.590
# [PATCH] audio, set urb->interval
# 
# This sets urb->interval in two places it hadn't previously been set,
# allowing things like SOX and XMMS to play through usb audio.
# 
# Using this and the previous patches, I was able to verify playback
# of some Ogg Vorbis encoded music using most of the 2.5.17 host
# controller drivers.  However, "uhci-hcd" and "usb-uhci-hcd" did
# not want to bind the audio driver:  reading the config descriptor
# (in audio.c) stalled rather consistently.  That failure was seen
# with the other USB 1.1 drivers too, but not as consistently.
# --------------------------------------------
#
diff -Nru a/drivers/usb/class/audio.c b/drivers/usb/class/audio.c
--- a/drivers/usb/class/audio.c	Wed May 22 13:52:13 2002
+++ b/drivers/usb/class/audio.c	Wed May 22 13:52:13 2002
@@ -1221,6 +1221,7 @@
 		offs += cnt;
 		cp += cnt;
 	}
+	urb->interval = 1;
 	if (err)
 		u->dma.error++;
 	if (u->dma.mapped) {
@@ -1291,6 +1292,7 @@
 		urb->iso_frame_desc[i].length = 3;
 		urb->iso_frame_desc[i].offset = offs;
 	}
+	urb->interval = 1;
 	return 0;
 }
 
